Description

Observation

openQA test in scenario sle-12-SP3-Desktop-DVD-Updates-x86_64-gam-regression-piglit@64bit fails in
piglit

The test is failing and i was able to reproduce the failure in my test:

2017-12-08 12:30:44 <1> susetest(2784) [zypp] PublicKey.cc(Impl):435 Taking pubkey from
/var/cache/zypp/raw/piglit_repofsSIVU/repodata/repomd.xml.key of size 1699 and shat
f3e7ccec3e893a987c11bced1ce07e6eb8eb8288

2017-12-08 12:30:44 <1> susetest(2784) [zypp] Pathinfo.cc(unlink):659 hardlinkCopy
/var/cache/zypp/raw/piglit_repofsSIVU/repodata/repomd.xml.key -> /var/tmp/TmpFile.C4VuYfunlink /var/tmp/TmpFile.C4VuYf
2017-12-08 12:30:44 <1> susetest(2784) [zypp] Pathinfo.cc(hardlinkCopy):863 => copy

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(start_program):249 Executing '/bin/cp' '--remove-destination’
'--"'/var/cache/zypp/raw/piglit_repofsSIVU/repodata/repomd.xml.key' ‘/var/tmp/TmpFile.C4VuYf'

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(start_program):412 pid 2855 launched

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(checkStatus):513 Pid 2855 successfully completed
2017-12-08 12:30:44 <1> susetest(2784) [zypp] Pathinfo.cc(copy):800 copy
/var/cache/zypp/raw/piglit_repofsSIVU/repodata/repomd.xml.key -> /var/tmp/TmpFile.C4VuYf

2017-12-08 12:30:44 <1> susetest(2784) [zypp] PublicKey.cc(readFromFile):478 Reading pubkey from /var/tmp/TmpFile.C4VuYf of
size 1699 and sha1 f3e7ccec3e893a987c11bce41ce07e6eb8eb8288

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(start_program):249 Executing '/usr/bin/gpg2' -v'
'--no-default-keyring' '--fixed-list-mode’ '--with-fingerprint' '--with-colons' '--homedir' '/var/tmp/zypp.SduFQ2/PublicKey' --quiet' --no-tty’
'--no-greeting' --batch’' "--status-fd' '1' '/var/tmp/TmpFile.C4VuYf'

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(start_program):412 pid 2856 launched

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] ExternalProgram.cc(checkStatus):506 Pid 2856 exited with status 127
2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 PublicKey.cc(readFromFile):516 THROW: File
/var/tmp/TmpFile.C4VuYf doesn't contain public key data

2017-12-08 12:30:44 <1> susetest(2784) [zypp] PathInfo.cc(unlink):659 unlink /var/tmp/TmpFile.C4VuYf

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] TmpPath.cc(~Impl):78 TmpPath cleaned up /var/tmp/TmpFile.C4VuYf{- 0644 0/0
size 1699}

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] MediaSetAccess.cc(release):449 Releasing all media IDs held by this
MediaSetAccess

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] MediaManager.cc(release):475 release(id=40)

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] MediaHandler.cc(release):751 Request to release attached media
http<http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/>, use count=1

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] MediaHandler.cc(release):758 Releasing media
http<http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/>

2017-12-08 12:30:44 <1> susetest(2784) [zypp] MediaHandler.cc(disconnect):730 Disconnected:
http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/ attached; localRoot "/var/adm/mount/AP_0xbePCTz"

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] MediaHandler.cc(removeAttachPoint):181 MediaHandler - checking if to remove
attach point

2017-12-08 12:30:44 <1> susetest(2784) [zypp] Pathinfo.cc(recursive_rmdir):426 recursive_rmdir /var/adm/mount/AP_0xbePCTz
2017-12-08 12:30:44 <1> susetest(2784) [zypp] MediaHandler.cc(removeAttachPoint):193 Deleted default attach point
/var/adm/mount/AP_0xbePCTz

2017-12-08 12:30:44 <1> susetest(2784) [zypp] MediaHandler.cc(release):812 Released:
http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/ not attached; localRoot "

2017-12-08 12:30:44 <1> susetest(2784) [zypp] PathInfo.cc(recursive_rmdir):426 recursive_rmdir
/var/cache/zypp/raw/piglit_repofsSIVU

2017-12-08 12:30:44 <1> susetest(2784) [zypp++] TmpPath.cc(~Impl):78 TmpPath cleaned up
/var/cache/zypp/raw/piglit_repofsSIVU{d 0755 0/0}

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 RepoManager.cc(refreshMetadata):1211 CAUGHT: File
/var/tmp/TmpFile.C4VuYf doesn't contain public key data

2017-12-08 12:30:44 <3> susetest(2784) [zypp] RepoManager.cc(refreshMetadata):1212 Trying another url...

2017-12-08 12:30:44 <3> susetest(2784) [zypp] RepoManager.cc(refreshMetadata): 1224 No more urls...

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 RepoManager.cc(refreshMetadata): 1225 THROW:
[piglit_repo|http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/] Valid metadata not found at specified URL
2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 History:

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 - File /var/tmp/TmpFile.C4VuYf doesn't contain public key
data

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 repos.cc(refresh_raw_metadata):395 CAUGHT:
[piglit_repo|http://download.suse.de/ibs/QA:/Maintenance:/piglit/SLE-12-SP3/] Valid metadata not found at specified URL
2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 History:

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166 - File /var/tmp/TmpFile.C4VuYf doesn't contain public key
data

2017-12-08 12:30:44 <5> susetest(2784) [zypp] Exception.cc(log):166

2017-12-08 12:30:44 <3> susetest(2784) [zypper] repos.cc(refresh_repos):1433 Skipping repository 'piglit_repo' because of the
above error.

For some reason isn't finding the public key or there's a problem with the key :-(
Reproducible

Fails since (at least) Build 20171207-1

Expected result

Last good: 20171206-4 (or more recent)

Further details

Always latest result in this scenario: latest

History

#1 - 2018-03-09 15:41 - okurz
- Subject changed from Unable to find the public key to [qam]Unable to find the public key

#2 - 2018-04-04 11:36 - pluskalm

- Status changed from New to Closed

Not relevant anymore
